/*
 *	Copyright 2011 Paul Parsons
 *
 *	This file is part of TinyInit.
 *
 *	TinyInit is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	TinyInit is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with TinyInit.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <fcntl.h>
#include <unistd.h>

#include "init.h"

int set_stdio(const char *dev)
{
	(void) close(STDIN_FILENO);
	if (open(dev, O_RDWR) != STDIN_FILENO)
		return (-1);
	if (dup2(STDIN_FILENO, STDOUT_FILENO) != STDOUT_FILENO)
		return (-1);
	if (dup2(STDIN_FILENO, STDERR_FILENO) != STDERR_FILENO)
		return (-1);
	return (0);
}
